org.apache.ignite.internal.visor.node

## Class VisorNodePingTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<UUID,GridTuple3<Boolean,Long,Long>>
    - - org.apache.ignite.internal.visor.node.VisorNodePingTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<UUID>,GridTuple3<Boolean,Long,Long>>

    @GridInternal
    public class VisorNodePingTask
    extends VisorOneNodeTask<UUID,GridTuple3<Boolean,Long,Long>>

Ping other node.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorNodePingTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.node.VisorNodePingTask.VisorNodePingJob` `job(UUID arg)`
`protected GridTuple3<Boolean,Long,Long>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorNodePingTask

    public VisorNodePingTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.node.VisorNodePingTask.VisorNodePingJob job(UUID arg)

Specified by:
  `job` in class `VisorMultiNodeTask<UUID,GridTuple3<Boolean,Long,Long>,GridTuple3<Boolean,Long,Long>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected GridTuple3<Boolean,Long,Long> reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Overrides:
  `reduce0` in class `VisorOneNodeTask<UUID,GridTuple3<Boolean,Long,Long>>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015